Subject: Re: [PATCH 00/20] Add support for Silicon Labs WiFi chip WF200 and further

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 19 Sep 2019 13:25:08 +0200

On Thu, Sep 19, 2019 at 10:52:34AM +0000, Jerome Pouiller wrote:
> From: Jérôme Pouiller <[email-masked]>
> 
> Hello all,
> 
> This series add support for Silicon Labs WiFi chip WF200 and further:
> 
>    https://www.silabs.com/documents/public/data-sheets/wf200-datasheet.pdf
> 
> This driver is an export from:
> 
>    https://github.com/SiliconLabs/wfx-linux-driver/
>    
> I squashed all commits from github (it definitely does not make sense to
> import history). Then I split it in comprehensible (at least try to be)
> commits. I hope it will help readers to understand driver architecture.
> IMHO, firsts commits are clean enough to be reviewed. Things get more
> difficult when I introduce mac8011 API. I tried to extract important
> parts like Rx/Tx process but, big and complex patches seem unavoidable
> in this part.
> 
> Architecture itself is described in commit messages.
> 
> The series below is aligned on version 2.3.1 on github. If compare this
> series with github, you will find traditional differences between
> external and a in-tree driver: Documentation, build infrastructure,
> etc... In add, I dropped all code in CONFIG_WFX_SECURE_LINK. Indeed,
> "Secure Link" feature depends on mbedtls and I don't think to pull
> mbedtls in kernel is an option (see "To be done" below).
> 
> 
> What need to be done in this driver  to leave staging area?
> 
>   - I kept wfx_version.h in order to ensure synchronization with github
>     waiting for development goes entirely in kernel

That should be removed soon.

>   - I also kept compatibility code for earlier Linux kernel version. I
>     may drop it in future. Maybe I will maintain compatibility with
>     older kernels in a external set of patches.

That has to be dropped for the in-kernel version.

The rest of these are fine, can you add this list in a TODO file for
this directory like the other staging drivers have?

thanks,

greg k-h